Bug 1200952 - [RFE] Quicker Installs by presenting ISO domain hosted kernel images to Run Once Screen
Summary: [RFE] Quicker Installs by presenting ISO domain hosted kernel images to Run O...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: jniederm
QA Contact: Israel Pinto
URL:
Whiteboard:
Depends On:
Blocks: 1260666
TreeView+ depends on / blocked
 
Reported: 2015-03-11 17:17 UTC by Robert McSwain
Modified: 2019-12-16 04:43 UTC (History)
16 users (show)

Fixed In Version: 3.6.0-4 alpha3
Doc Type: Enhancement
Doc Text:
With this release, the Linux Boot Options section of the Run Once window allows users to select kernel and initrd files for Linux virtual machines. Available files are files from the ISO domain of type Unknown (i.e. not ISO, floppy, or disk).
Clone Of:
: 1260666 (view as bug list)
Environment:
Last Closed: 2016-03-09 20:59:13 UTC
oVirt Team: Virt
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)
Linux boot options (6.39 KB, image/png)
2015-07-12 13:46 UTC, Israel Pinto
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 41271 master MERGED core: error fix & simplification Never
oVirt gerrit 41272 master MERGED core: removed redundant initializers, unused parameters, explicit type parameters Never
oVirt gerrit 41273 master MERGED core: refactored 2 overgrown copy-pasted methods Never
oVirt gerrit 41274 master MERGED core: refactored overgrown methods and calls Never
oVirt gerrit 41275 master MERGED core: simplified refreshVdsmFileList unsuccessful call to vdsm as well as returning null are considered to be invalid re... Never
oVirt gerrit 41276 master MERGED core: altered IsoDomainListSyncronizer to refresh and return really *all* files if asked for it Never
oVirt gerrit 41277 master MERGED core: fixed visibility Never
oVirt gerrit 41278 master MERGED userportal,webadmin: removed duplicates Never
oVirt gerrit 41279 master ABANDONED core: todos Never
oVirt gerrit 41358 master MERGED webadmin: offering files of unknown type as candidates for kernel and initrd images Never
oVirt gerrit 43840 master MERGED webadmin: Vertical alignment of Run Once dialog > Linux boot options Never

Description Robert McSwain 2015-03-11 17:17:39 UTC
1. Proposed title of this feature request  
Quicker Installs by presenting ISO domain hosted kernel images to Run Once Screen
     
3. What is the nature and description of the request?  
a) An ISO domain currnetly does not show any "vmlinuz" or "initrd.img" files on the Storage page. It would be nice to know which kernel images are available without manually searching the NFS/SCSI storage device.
b) Once the ISO domain can read those files, it could present them as options from a drop down selector on the Run Once screen.

      
4. Why does the customer need this? (List the business requirements here)  
To speed up installations
      
5. How would the customer like to achieve this? (List the functional requirements here)  
Unstated      

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
Unstated 
      
7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
No
      
8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
Unstated
      
9. Is the sales team involved in this request and do they have any additional input?  
No
      
10. List any affected packages or components.  
RHEV-M admin portal and Run Once dialogue boxes

11. Would the customer be able to assist in testing this functionality if implemented?  
Unstated

Comment 5 Max Kovgan 2015-06-28 14:13:25 UTC
ovirt-3.6.0-3 release

Comment 6 Israel Pinto 2015-07-12 13:46:50 UTC
Created attachment 1051125 [details]
Linux boot options

Comment 7 Israel Pinto 2015-07-12 13:52:51 UTC
Start Verify with 3.6.0-03
I open the the tab 'Linux boot options' under 'Run once' dialog 
The combo box are not indent to label.
See attached screen shot (comment 6)

Comment 8 Michal Skrivanek 2015-07-20 10:04:03 UTC
which browser?

Comment 9 Israel Pinto 2015-07-20 10:20:32 UTC
both firefox and chrome.

Comment 13 Barak 2015-09-07 11:54:09 UTC
3 issues described above:
1 - UI - the indentation of the kernel path
2 - filtering for the relevant fields
3 - misleading name of of engine-ISO-uploader (it uploads not only ISOs ... for a 
    long time now)

I think only #1 & #2 should be addressed

Michal please assign to a virt group member.

Comment 14 Michal Skrivanek 2015-09-07 12:02:48 UTC
(In reply to Barak from comment #13)
> 3 issues described above:
> 1 - UI - the indentation of the kernel path

that is fixed in comment 9-10 in 3.6.0-4

> 2 - filtering for the relevant fields

we don't have a conclusive list. Making it configurable sounds like an overkill. *initrd* and *vmlinuz* may make sense, but there are instanes when this is named differently. Since this whole option is for advanced users we can also expect less common file names like vmlinux, bzImage.
I would track that separately

> 3 - misleading name of of engine-ISO-uploader (it uploads not only ISOs ...
> for a 
>     long time now)
> 
> I think only #1 & #2 should be addressed
> 
> Michal please assign to a virt group member.

Comment 15 Barak 2015-09-07 12:24:10 UTC
Than open an RFE on the filtering side, and move it to PM for prioritization.

Comment 16 Michal Skrivanek 2015-09-07 12:40:43 UTC
see bug 1260666

Comment 17 Israel Pinto 2015-12-15 14:08:29 UTC
Verify with:
RHEVM:3.6.1.3-0.1.el6 
vdsm: vdsm-4.17.13-1.el7ev
libvirt: libvirt-1.2.17-13.el7_2.2

Scenario:
1. Upload to ISO domain: vmlinuz and initrd.img of rhel7.2
2. In RunOnce -> Linux Boot Options i can see the the vmlinuz and initrd.img
in the drop dowm list.
I choose for linux kernel path: vmlinuz and for initrd path: initrd.img
i set in kernel param to run from live os: 
root=live:http://<download tlv>/pub/rhel/released/RHEL-7/7.2/Server/x86_64/os/LiveOS/squashfs.img rd.dm=0 rd.md=0 repo=http://<download tlv>/pub/rhel/released/RHEL-7/7.2/Server/x86_64/os/ 


The installation started and download the iso,it failed since it does not found: /dev/root
see attached screen shot.

What are the parameters that is need to put in order to make it work?

Comment 18 Michal Skrivanek 2015-12-15 14:17:17 UTC
I don't know and I think this is a RHEL installation/usage problem, not RHEV's

Comment 19 meital avital 2015-12-15 15:56:06 UTC
(In reply to Michal Skrivanek from comment #18)
> I don't know and I think this is a RHEL installation/usage problem, not
> RHEV's

Moran, there is any reference for this feature that we can learn which parameters should we use? any Documents? an example would be useful?

Comment 20 Israel Pinto 2015-12-22 15:49:25 UTC
(In reply to Israel Pinto from comment #17)
> Verify with:
> RHEVM:3.6.1.3-0.1.el6 
> vdsm: vdsm-4.17.13-1.el7ev
> libvirt: libvirt-1.2.17-13.el7_2.2
> 
> Scenario:
> 1. Upload to ISO domain: vmlinuz and initrd.img of rhel7.2
> 2. In RunOnce -> Linux Boot Options i can see the the vmlinuz and initrd.img
> in the drop dowm list.
> I choose for linux kernel path: vmlinuz and for initrd path: initrd.img
> i set in kernel param to run from live os: 
> root=live:http://<download
> tlv>/pub/rhel/released/RHEL-7/7.2/Server/x86_64/os/LiveOS/squashfs.img
> rd.dm=0 rd.md=0 repo=http://<download
> tlv>/pub/rhel/released/RHEL-7/7.2/Server/x86_64/os/ 
> 
> 
> The installation started and download the iso,it failed since it does not
> found: /dev/root
> see attached screen shot.
> 
> What are the parameters that is need to put in order to make it work?

Retested with different ISO image and installation worked.

PASS

Comment 24 errata-xmlrpc 2016-03-09 20:59:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.